<template>
    <div>
        <p>This is My First Vue Page</p>
        <p>Hellow Everyone</p>
        <p>Hi from {{user}}, I work with <strong> {{company}}</strong></p>
        <input type="text" v-model="user">
        <button type="button" @click="testevent">Click Me</button>
        <p>Thanks from {{user}}</p>
        <p v-if="age>17">{{text}}</p>
        <p v-else>Please wait till you grown up</p>
        <p v-show="company=='CTS'">Great</p>
        <input type="number" v-model="age">
        <li v-for="lang in arrayLanguages" :key="lang">{{lang}}</li>
        <table>
            <tr>
                <td>Batsman Name</td>
                <td>Batting Average</td>
            </tr>
            <tr v-for="batsman in arrayJson" :key="batsman.name">
                <td>{{batsman.name}}</td>
                <td>{{batsman.average}}</td>
            </tr>
        </table>
        <a href="/test/kuldip">Click Me</a>
    </div>
</template>

<script>
export default {
    data(){
        return{
            user:"Kuldip Shelke",
            company:"CTS*",
            age:17,
            text:"This Text is Visible Only to Grown Ups",
            arrayLanguages:[".Net", "Java", "Node JS", "PHP", "Python"],
            arrayJson:[
                {
                    name:"Sachin Tendulkar",
                    average:59
                },
                {
                    name:"Rahul Dravid",
                    average:70
                },
                {
                    name:"Virat Kohli",
                    average: 55
                }
            ]
        }
    },
    methods:{
        testevent(evt){
            this.$router.push({ name: 'Test', params: { company:"CTS", name: "kuldip" }});
            //this.$router.push({ path: '/test/Kuldip/CTS'});
        },
        closeform(evt){
            alert("Close IT");
        }
    }
}
</script>

<style>

</style>
